path: /build/build/libheif-media-libs-1.15.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="aom gdk-pixbuf rav1e x265" emerge media-libs/libheif -pv -t && \
    USE="aom gdk-pixbuf rav1e x265" emerge -j ${JOBS} --nodeps media-libs/libheif
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libheif && luet-portage --dir /pkgdir/libheif
    media-libs/libheif && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5aee5948cfee5997c5d2d7cdd17693f51a16ee9169d320959d4217bf8d6b63a0
  package:
    name: libheif
    version: 1.15.2
    category: media-libs
    use_flags:
    - aom
    - gdk-pixbuf
    - rav1e
    - x265
    requires:
    - name: openvdb
      version: '>=0'
      category: media-gfx
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: ISO/IEC 23008-12:2017 HEIF file format decoder and encoder
    uri:
    - https://github.com/strukturag/libheif
    license: GPL-3
    buildtimestamp: 2023-12-09 07:28:32.987719256 +0000 UTC m=+125.112478144
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: media-libs/dav1d:= media-libs/libde265:= aom? ( >=media-libs/libaom-2.0.0:=
        ) gdk-pixbuf? ( x11-libs/gdk-pixbuf ) rav1e? ( media-video/rav1e:= ) x265?
        ( media-libs/x265:= )
      IUSE: +aom gdk-pixbuf rav1e +threads x265
      RDEPEND: media-libs/dav1d:= media-libs/libde265:= aom? ( >=media-libs/libaom-2.0.0:=
        ) gdk-pixbuf? ( x11-libs/gdk-pixbuf ) rav1e? ( media-video/rav1e:= ) x265?
        ( media-libs/x265:= )
      emerge.packages: media-libs/libheif
      kit: media-kit
      original.package.name: media-libs/libheif
      original.package.slot: "0"
      original.package.version: 1.15.2
    treedir: /build/packages
  package_dir: /pkgdir/libheif
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cb2f81c3ce5773bc7fb53ec7c750c438a02a4ec7f7b8bcc39a15016a48026e9e
compressiontype: zstd
files:
- usr/include/libheif/heif.h
- usr/include/libheif/heif_cxx.h
- usr/include/libheif/heif_plugin.h
- usr/include/libheif/heif_version.h
- usr/lib64/cmake/libheif/libheif-config-gentoo.cmake
- usr/lib64/cmake/libheif/libheif-config-version.cmake
- usr/lib64/cmake/libheif/libheif-config.cmake
- usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-heif.so
- usr/lib64/libheif/libheif-rav1e.so
- usr/lib64/libheif.so
- usr/lib64/libheif.so.1
- usr/lib64/libheif.so.1.15.2
- usr/lib64/pkgconfig/libheif.pc
- usr/share/doc/libheif-1.15.2/README.md.bz2
- usr/share/doc/libheif-1.15.2/TODO
- usr/share/thumbnailers/heif.thumbnailer
- var/db/pkg/media-libs/libheif-1.15.2/BDEPEND
- var/db/pkg/media-libs/libheif-1.15.2/BUILD_TIME
- var/db/pkg/media-libs/libheif-1.15.2/CATEGORY
- var/db/pkg/media-libs/libheif-1.15.2/CBUILD
- var/db/pkg/media-libs/libheif-1.15.2/CFLAGS
- var/db/pkg/media-libs/libheif-1.15.2/CHOST
- var/db/pkg/media-libs/libheif-1.15.2/CONTENTS
- var/db/pkg/media-libs/libheif-1.15.2/COUNTER
- var/db/pkg/media-libs/libheif-1.15.2/CXXFLAGS
- var/db/pkg/media-libs/libheif-1.15.2/DEFINED_PHASES
- var/db/pkg/media-libs/libheif-1.15.2/DEPEND
- var/db/pkg/media-libs/libheif-1.15.2/DESCRIPTION
- var/db/pkg/media-libs/libheif-1.15.2/EAPI
- var/db/pkg/media-libs/libheif-1.15.2/FEATURES
- var/db/pkg/media-libs/libheif-1.15.2/HOMEPAGE
- var/db/pkg/media-libs/libheif-1.15.2/INHERITED
- var/db/pkg/media-libs/libheif-1.15.2/IUSE
- var/db/pkg/media-libs/libheif-1.15.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libheif-1.15.2/KEYWORDS
- var/db/pkg/media-libs/libheif-1.15.2/LDFLAGS
- var/db/pkg/media-libs/libheif-1.15.2/LICENSE
- var/db/pkg/media-libs/libheif-1.15.2/NEEDED
- var/db/pkg/media-libs/libheif-1.15.2/PF
- var/db/pkg/media-libs/libheif-1.15.2/PROVIDES
- var/db/pkg/media-libs/libheif-1.15.2/RDEPEND
- var/db/pkg/media-libs/libheif-1.15.2/REQUIRES
- var/db/pkg/media-libs/libheif-1.15.2/RESTRICT
- var/db/pkg/media-libs/libheif-1.15.2/SIZE
- var/db/pkg/media-libs/libheif-1.15.2/SLOT
- var/db/pkg/media-libs/libheif-1.15.2/USE
- var/db/pkg/media-libs/libheif-1.15.2/environment.bz2
- var/db/pkg/media-libs/libheif-1.15.2/libheif-1.15.2.ebuild
- var/db/pkg/media-libs/libheif-1.15.2/repository
package_cacheimage: ""
runtime:
  name: libheif
  version: 1.15.2
  category: media-libs
  use_flags:
  - aom
  - gdk-pixbuf
  - rav1e
  - x265
  requires:
  - name: dav1d
    version: '>=0'
    category: media-libs
  - name: libaom
    version: '>=0'
    category: media-libs
  - name: libde265
    version: '>=0'
    category: media-libs
  - name: x265
    version: '>=0'
    category: media-libs
  - name: rav1e
    version: '>=0'
    category: media-video
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: ISO/IEC 23008-12:2017 HEIF file format decoder and encoder
  uri:
  - https://github.com/strukturag/libheif
  license: GPL-3
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: media-libs/dav1d:= media-libs/libde265:= aom? ( >=media-libs/libaom-2.0.0:=
      ) gdk-pixbuf? ( x11-libs/gdk-pixbuf ) rav1e? ( media-video/rav1e:= ) x265? (
      media-libs/x265:= )
    IUSE: +aom gdk-pixbuf rav1e +threads x265
    RDEPEND: media-libs/dav1d:= media-libs/libde265:= aom? ( >=media-libs/libaom-2.0.0:=
      ) gdk-pixbuf? ( x11-libs/gdk-pixbuf ) rav1e? ( media-video/rav1e:= ) x265? (
      media-libs/x265:= )
    emerge.packages: media-libs/libheif
    kit: media-kit
    original.package.name: media-libs/libheif
    original.package.slot: "0"
    original.package.version: 1.15.2
